Experiment:

Description

At the moment, the online monitoring Aggregator is run as part of the MPI program. This means that if it crashes (for example,
because of a bug in a user-provided monitoring module), there is a good chance that the entire system stops.

We should design and implement a system that allows multiple online monitoring applications to come and go as needed without
disturbing the primary function of the DAQ system to collect and log the data to disk.

It would be great for the final solution to provide monitoring information on the fraction of events that are seen by a particular
consumer. If this were included in the data stream, then an online monitor could do the appropriate normalization to scale its results
up to the full data set.

Related issues:
Related to ds50daq - Idea #4430: Provide information on prescale factor or ra... Closed 07/25/2013

History

#1 - 01/13/2017 01:59 PM - Eric Flumerfelt

- Status changed from New to Rejected

Superseded by #13430.

#2 - 01/13/2017 04:43 PM - Eric Flumerfelt
- Category set to Additional Functionality
- Target version deleted (577)

#3 - 01/13/2017 04:46 PM - Eric Flumerfelt

- Target version set to v2_00_00
